<?php
/*
ShareTheRide Version: 1.0
http://sharetheridescript.com
*/

class userCakeMail {
	//UserCake uses a text based system with hooks to replace various strs in txt email templates
	public $contents = NULL;
	
	//Function used for replacing hooks in our templates
	public function newTemplateMsg($template,$additionalHooks)
	{
		global $mail_templates_dir,$debug_mod;
		
		//Add language part to filename
		if(isset($_SESSION['lng'])) 
		{
			$file_lang_ext=$_SESSION['lng'];
		}
		else
		{
			$file_lang_ext="en";
		}
		
		// Add extension to filename, so "new-user.txt" becomes "new-user_en.txt"
		// for example.
		$pos = strpos($template,".");
		$template = substr_replace($template, "_".$file_lang_ext, $pos, 0);
		$this->contents = file_get_contents($mail_templates_dir.$template);
		
		//Check to see we can access the file / it has some contents
		if(!$this->contents || empty($this->contents))
		{
			return false;
		}
		else
		{
			//Replace default hooks
			$this->contents = replaceDefaultHook($this->contents);
			
			//Replace defined / custom hooks
			$this->contents = str_replace($additionalHooks["searchStrs"],$additionalHooks["subjectStrs"],$this->contents);
			
			return true;
		}
	}
	
	public function sendMail($email,$subject,$msg = NULL,$email_from = NULL,$name_from = NULL)
	{
		global $websiteName,$emailAddress;
		
		if($email_from == NULL)
		{
			$email_from=$emailAddress;
		}

		if($name_from == NULL)
		{
			$name_from=$websiteName;
		}
		
		$header = "MIME-Version: 1.0\r\n";
		$header .= "Content-type: text/plain; charset=iso-8859-1\r\n";
		$header .= "From: ".$name_from." <".$email_from.">\r\n";
		
		//Check to see if we sending a template email.
		if($msg == NULL)
			$msg = $this->contents; 
		
		$message = $msg;
		
		$message = wordwrap($message, 70);
		
		return mail($email,$subject,$message,$header);
	}
}

?>