<?php
/*
ShareTheRide Version: 1.0
http://sharetheridescript.com
*/
require_once("db-settings.php"); //Require DB connection

//Retrieve settings
$stmt = $mysqli->prepare("SELECT id, name, value
	FROM ".$db_table_prefix."configuration");	
$stmt->execute();
$stmt->bind_result($id, $name, $value);

while ($stmt->fetch()){
	$settings[$name] = array('id' => $id, 'name' => $name, 'value' => $value);
}
$stmt->close();

//Set Settings
$emailActivation = $settings['activation']['value'];
$mail_templates_dir = "models/mail-templates/";
$websiteName = $settings['website_name']['value'];
$websiteUrl = $settings['website_url']['value'];
$emailAddress = $settings['email']['value'];
$resend_activation_threshold = $settings['resend_activation_threshold']['value'];
$emailDate = date('dmy');
$template = $settings['template']['value'];

$master_account = -1;

$default_hooks = array("#WEBSITENAME#","#WEBSITEURL#","#DATE#");
$default_replace = array($websiteName,$websiteUrl,$emailDate);

//Pages to require
require_once("class.mail.php");
require_once("class.user.php");
require_once("class.newuser.php");
require_once("funcs.php");


session_start();
header('Cache-control: private'); // IE 6 FIX

// Get default language file
$default_lang_file=$settings['language']['value'];
if (!file_exists($default_lang_file)) {
	$default_lang_file = "models/languages/en.php";
}


// See if there is another language 
// activated
$lng="";
if(isSet($_GET['lng']))
{
	$lng = $_GET['lng'];
	// register the session and set the cookie
	$_SESSION['lng'] = $lng;
	setcookie('lng', $lng, time() + (3600 * 24 * 30));
}
else if(isSet($_SESSION['lng']))
{
	$lng = $_SESSION['lng'];
}
else if(isSet($_COOKIE['lng']))
{
	$lng = $_COOKIE['lng'];
}

// Set session and language file for activated language,
// use default language file if there is no
// activated language
switch ($lng) {
  case 'en':
  $lang_file = 'models/languages/en.php';
  $_SESSION['lng']='en';
  break;

  case 'fr':
  $lang_file = 'models/languages/fr.php';
  $_SESSION['lng']='fr';
  break;
  
  case 'de':
  $lang_file = 'models/languages/de.php';
  $_SESSION['lng']='de';
  break;

  case 'es':
  $lang_file = 'models/languages/es.php';
  $_SESSION['lng']='es';
  break;

  default:
  $lang_file = $default_lang_file ;

}

// Set session for default language
// if there is no language activated
if(!isSet($_SESSION['lng']))
{
	switch ($default_lang_file) {
	  case 'models/languages/en.php':
	  $_SESSION['lng']='en';
	  $language_default_code='en';
	  break;

	  case 'models/languages/fr.php':
	  $_SESSION['lng']='fr';
	  $language_default_code='fr';
	  break;

	  case 'models/languages/de.php':
	  $_SESSION['lng']='de';
	  $language_default_code='de';
	  break;

	  case 'models/languages/es.php':
	  $_SESSION['lng']='es';
	  $language_default_code='es';
	  break;

	  // If nothing is found, then 
	  // use english
	  default:
	  $_SESSION['lng']='en';
	  $language_default_code='en';
	}
}


// Get the language file
require_once($lang_file);

// Set locale, for showing dates in 
// active language
$country=strtoupper($_SESSION['lng']);

setlocale (LC_TIME,$_SESSION['lng']."_".$country.".UTF-8");

// Delete all rides in the past
delete_rides_past();


//Global User Object Var
//loggedInUser can be used globally if constructed
if(isset($_SESSION["userCakeUser"]) && is_object($_SESSION["userCakeUser"]))
{
	$loggedInUser = $_SESSION["userCakeUser"];
}

?>
