<?php
/*
ShareTheRide Version: 1.0
http://sharetheridescript.com
*/

require_once("models/config.php");
if (!securePage($_SERVER['PHP_SELF'])){die();}
require_once("models/header.php");
require_once('calendar/classes/tc_calendar.php');

// Selection default type
$type_checked_offer="checked";	
$type_checked_request="";

// Selection default departure date
$departure_date_empty=true;

// Forms posted
if(!empty($_POST))
{
	$errors = array();
	$type = trim($_POST["type"]);
	$date3= trim($_POST["date3"]);
	$departure_time= trim($_POST["departure_time"]);
	$from_location= trim($_POST["from_location"]);
	$to_location= trim($_POST["to_location"]);
	$ride_note= trim($_POST["ride_note"]);
	
	// Selection
	if($date3 != '0000-00-00')
	{
		$departure_date_empty=false;
		$day_departure = date('d',strtotime($_POST['date3']));
		$month_departure = date('m',strtotime($_POST['date3']));
		$year_departure = date('Y',strtotime($_POST['date3']));
	}

	if($type == "Offer")
	{
		$type_checked_offer="checked";	
	}
	elseif($type == "Request")
	{
		$type_checked_request="checked";
		$type_checked_offer="";
	}

	if(!empty($departure_time))
	{
		$selected_departure_hour[$departure_time]="selected";
	}

	if(isset($_POST['from_country']) && $_POST['from_country'] != "ALL")
	{
		$from_country = trim($_POST['from_country'], '_1');
		$from_country_selected=$_POST['from_country'];
		$selected_country_from[$from_country_selected]="selected";
	}

	if(isset($_POST['to_country']) && $_POST['to_country'] != "ALL")
	{
		$to_country = trim($_POST['to_country'], '_1');
		$to_country_selected=$_POST['to_country'];
		$selected_country_to[$to_country_selected]="selected";
	}

	if(isset($_POST['number_spaces']))
	{
		$number_spaces=$_POST['number_spaces'];
		$selected_number_spaces[$number_spaces]="selected";
	}


	// Validation
	if(empty($type))
	{
		$errors[] = lang("ACCOUNT_INVALID_TYPE");
	}
	
	if($date3 == '0000-00-00')
	{
		$errors[] = lang("ACCOUNT_ADD_RIDE_DATE_EMPTY");
	}
	
	if(!isset($_POST['from_country']) || $_POST['from_country'] == "ALL" || $_POST['from_country'] == "")
	{
		$errors[] = lang("ACCOUNT_ADD_RIDE_FROM_COUNTRY_EMPTY");
	}

	if(empty($from_location))
	{
		$errors[] = lang("ACCOUNT_ADD_RIDE_FROM_LOCATION_EMPTY");
	}

	if(!isset($_POST['to_country']) || $_POST['to_country'] == "ALL" || $_POST['to_country'] == "")
	{
		$errors[] = lang("ACCOUNT_ADD_RIDE_TO_COUNTRY_EMPTY");
	}

	if(empty($to_location))
	{
		$errors[] = lang("ACCOUNT_ADD_RIDE_TO_LOCATION_EMPTY");
	}

	//End data validation
	if(count($errors) == 0)
	{
		// Sanitize, against SQL injection
		$from_location=mysqli_real_escape_string($mysqli,$from_location);
		$to_location=mysqli_real_escape_string($mysqli,$to_location);		
		$ride_note=mysqli_real_escape_string($mysqli,$ride_note);
		
		// Insert Ride		
		$query="INSERT IGNORE INTO `".$db_table_prefix."rides` SET `user_id_fk`='".$loggedInUser->user_id."',`offer_request`='".$type."',`departure_date`='".$date3."',`departure_time`='".$departure_time."',`from_country`='".$from_country."',`from_location`='".$from_location."',`to_country`='".$to_country."',`to_location`='".$to_location."',`number_spaces`='".$number_spaces."',`note`='".$ride_note."'";
		$res=@mysqli_query($mysqli, $query);
	}
	if(count($errors) == 0) 
	{
		$successes[] = lang('ACCOUNT_ADD_RIDE_COMPLETE');

		// Empty values
		$type_checked_offer="checked";
		$type_checked_request="";
		$departure_date_empty=true;
		unset($selected_departure_hour);
		unset($selected_country_from);
		unset($selected_country_to);		
		$from_location="";
		$to_location="";
		unset($selected_number_spaces);
		$ride_note="";
	}
}

echo "
<body>
<div id='wrapper'>
<div id='top'><div id='logo'></div></div>
<div id='content'>
<h1>&nbsp;</h1>
".lang('ADD RIDE HEADER')."

<div id='left-nav'>";
include("left-nav.php");
echo "
</div>";

echo "
<div id='main'>";

	echo resultBlock($errors,$successes);

	echo "
	<div id='add_ride_box'>
		<br>
		<br>
		<form name='newRide' action='".$_SERVER['PHP_SELF']."' method='post'>
			<p>";
				// Ride type
				echo "<label for='type'>".lang('RIDE TYPE').":</label>
			
				<input type='radio' name='type' value='Offer' ".$type_checked_offer.">".lang('Offer')."
				<input type='radio' name='type' value='Request' ".$type_checked_request.">".lang('Request')."
			</p>
			<p>";
				// Departure date
				echo "<label for='date3'>".lang('RIDE DEPARTURE DATE').":</label>";
			
				// source: http://ciprianmp.com/scripts/calendar/
				$myCalendar = new tc_calendar("date3", true, false);
				$myCalendar->setIcon("calendar/images/iconCalendar.gif");
				$myCalendar->setPath("calendar/");
				if(!$departure_date_empty)
				{
					$myCalendar->setDate($day_departure, $month_departure, $year_departure);
				}
				$myCalendar->setYearInterval(date("Y"),date('Y', strtotime('+5 year')));
				$myCalendar->setOnChange("hideCalendar('date3')");
				$myCalendar->dateAllow(date("Y-m-d"),date('Y-m-d', strtotime('+5 year')) );
				$myCalendar->setAlignment("left", "bottom");
				$myCalendar->writeScript();
		echo "	</p>
			<br>
			<table border='0'><tr><td></td></tr></table>
			<p>";
				// Departure time
				echo "<label for='departure_time'>".lang('RIDE DEPARTURE TIME').":</label>";
				
				$result = mysqli_query($mysqli,'SELECT * FROM uc_time_hours ORDER BY id');
				echo "<select name='departure_time'>";
				while ($row = mysqli_fetch_array($result))
				{
				   echo '<option value="'.$row['hour'].'" '.$selected_departure_hour[$row["hour"]].'>'.$row['hour'].'</option>';
				}
			echo "	</select>".lang('RIDE OPTIONAL')."
			</p>
			<p>";			
				// From country
				echo '<label for="from_country">'.lang("RIDE FROM COUNTRY").':</label>';
				
				$result = mysqli_query($mysqli,'SELECT * FROM uc_countries ORDER BY name');
				echo '<select name="from_country">';
				echo '<option value="ALL"></option>';
				echo "<option value='Austria_1' ".$selected_country_from['Austria_1'].">Austria</option>";
				echo "<option value='Belgium_1' ".$selected_country_from['Belgium_1'].">Belgium</option>";
				echo "<option value='France_1' ".$selected_country_from['France_1'].">France</option>";
				echo "<option value='Germany_1' ".$selected_country_from['Germany_1'].">Germany</option>";
				echo "<option value='Italy_1' ".$selected_country_from['Italy_1'].">Italy</option>";
				echo "<option value='Netherlands_1' ".$selected_country_from['Netherlands_1'].">Netherlands</option>";
				echo "<option value='Spain_1' ".$selected_country_from['Spain_1'].">Spain</option>";
				echo "<option value='United Kingdom_1' ".$selected_country_from['United Kingdom_1'].">United Kingdom</option>";
				echo "<option value='ALL'></option>";
				echo "<option value='ALL'>----</option>";
				echo "<option value='ALL'></option>";
				while ($row = mysqli_fetch_array($result))
				{
				   echo '<option value="'.$row['name'].'" '.$selected_country_from[$row["name"]].'>'.$row['name'].'</option>';
				}
				echo '</select>			
			</p>
			<p>';
				// From city or location
				echo "<label for='from_location'>".lang('RIDE FROM LOCATION').":</label>
				
				<input type='text' name='from_location' value='".$from_location."' />
			</p>			
			<p>";			
				// To country
				echo '<label for="to_country">'.lang("RIDE TO COUNTRY").':</label>';
				
				$result = mysqli_query($mysqli,'SELECT * FROM uc_countries ORDER BY name');
				echo '<select name="to_country">';
				echo '<option value="ALL"></option>';
				echo "<option value='Austria_1' ".$selected_country_to['Austria_1'].">Austria</option>";
				echo "<option value='Belgium_1' ".$selected_country_to['Belgium_1'].">Belgium</option>";
				echo "<option value='France_1' ".$selected_country_to['France_1'].">France</option>";
				echo "<option value='Germany_1' ".$selected_country_to['Germany_1'].">Germany</option>";
				echo "<option value='Italy_1' ".$selected_country_to['Italy_1'].">Italy</option>";
				echo "<option value='Netherlands_1' ".$selected_country_to['Netherlands_1'].">Netherlands</option>";
				echo "<option value='Spain_1' ".$selected_country_to['Spain_1'].">Spain</option>";
				echo "<option value='United Kingdom_1' ".$selected_country_to['United Kingdom_1'].">United Kingdom</option>";
				echo "<option value='ALL'></option>";
				echo "<option value='ALL'>----</option>";
				echo "<option value='ALL'></option>";
				while ($row = mysqli_fetch_array($result))
				{
				   echo '<option value="'.$row['name'].'" '.$selected_country_to[$row["name"]].'>'.$row['name'].'</option>';
				}
				echo "</select>			
			</p>
			<p>";
				// To city or location
				echo "<label for='to_location'>".lang('RIDE TO LOCATION').":</label>
				
				<input type='text' name='to_location' value='".$to_location."' />
			</p>			
			<p>";			
				// Number of Spaces
				echo '<label for="number_spaces">'.lang("RIDE NUMBER SPACES").': </label>';
				
				$result = mysqli_query($mysqli,'SELECT * FROM uc_number_spaces ORDER BY id');
				echo '<select name="number_spaces">';
				while ($row = mysqli_fetch_array($result))
				{
				   echo '<option value="'.$row['number'].'" '.$selected_number_spaces[$row["number"]].'>'.$row['number'].'</option>';
				}
				echo "</select>".lang('RIDE OPTIONAL')."			
			</p>			
			<p>";
				// Note
				echo '<label for="ride_note">'.lang("RIDE NOTE").':</label>';

				echo "<textarea name='ride_note' rows='4' cols='50'>".$ride_note."</textarea>
			</p>
			<p>";
				// Save button
				echo "<label>&nbsp;</label>
				<input type='submit' value='".lang('RIDE SAVE BUTTON')."'/>
			</p>
		</form>
	</div>
</div>
<div id='bottom'></div>
</div>
</body>
</html>";

?>
