<?php
/*
ShareTheRide Version: 1.0
http://sharetheridescript.com
*/

require_once("models/config.php");
if (!securePage($_SERVER['PHP_SELF'])){die();}

//Prevent the user visiting the logged in page if he/she is already logged in
if(isUserLoggedIn()) { header("Location: index.php"); die(); }

// selection default gender
$gender_checked_male="checked";	
$gender_checked_female="";	

//Forms posted
if(!empty($_POST))
{
	$errors = array();
	$username = trim($_POST["username"]);
	$displayname = trim($_POST["displayname"]);
	$password = trim($_POST["password"]);
	$confirm_pass = trim($_POST["passwordc"]);
	$email = trim($_POST["email"]);
	$phone = trim($_POST["phone"]);
	$age = trim($_POST["age"]);
	$gender = trim($_POST["gender"]);
	// for selection
	if($gender == "Male")
	{
		$gender_checked_male="checked";	
	}
	elseif($gender == "Female")
	{
		$gender_checked_female="checked";
		$gender_checked_male="";
	}
	
	$captcha = md5($_POST["captcha"]);
	
	
	if ($captcha != $_SESSION['captcha'])
	{
		$errors[] = lang("CAPTCHA_FAIL");
	}
	if(minMaxRange(5,25,$username))
	{
		$errors[] = lang("ACCOUNT_USER_CHAR_LIMIT",array(5,25));
	}
	if(!ctype_alnum($username)){
		$errors[] = lang("ACCOUNT_USER_INVALID_CHARACTERS");
	}
	if(minMaxRange(5,25,$displayname))
	{
		$errors[] = lang("ACCOUNT_DISPLAY_CHAR_LIMIT",array(5,25));
	}
	if(!ctype_alnum($displayname)){
		$errors[] = lang("ACCOUNT_DISPLAY_INVALID_CHARACTERS");
	}
	if(minMaxRange(8,50,$password) && minMaxRange(8,50,$confirm_pass))
	{
		$errors[] = lang("ACCOUNT_PASS_CHAR_LIMIT",array(8,50));
	}
	else if($password != $confirm_pass)
	{
		$errors[] = lang("ACCOUNT_PASS_MISMATCH");
	}
	if(!isValidEmail($email))
	{
		$errors[] = lang("ACCOUNT_INVALID_EMAIL");
	}
	if(!isValidAge($age))
	{
		$errors[] = lang("ACCOUNT_INVALID_AGE");
	}
	if(empty($gender))
	{
		$errors[] = lang("ACCOUNT_INVALID_GENDER");
	}
	
	//End data validation
	if(count($errors) == 0)
	{	
		//Construct a user object
		$user = new User($username,$displayname,$password,$email,$age,$phone,$gender);
		
		//Checking this flag tells us whether there were any errors such as possible data duplication occured
		if(!$user->status)
		{
			if($user->username_taken) $errors[] = lang("ACCOUNT_USERNAME_IN_USE",array($username));
			if($user->displayname_taken) $errors[] = lang("ACCOUNT_DISPLAYNAME_IN_USE",array($displayname));
			if($user->email_taken) 	  $errors[] = lang("ACCOUNT_EMAIL_IN_USE",array($email));		
		}
		else
		{
			//Attempt to add the user to the database, carry out finishing  tasks like emailing the user (if required)
			if(!$user->userCakeAddUser())
			{
				if($user->mail_failure) $errors[] = lang("MAIL_ERROR");
				if($user->sql_failure)  $errors[] = lang("SQL_ERROR");
			}
		}
	}
	if(count($errors) == 0) 
	{
		$successes[] = $user->success;
		// Empty values
		$username="";
		$displayname="";
		$email="";
		$age="";
		$phone="";
		$gender_checked_male="checked";
		$gender_checked_female="";
	}
}

require_once("models/header.php");
echo "
<body>
<div id='wrapper'>
<div id='top'><div id='logo'></div></div>
<div id='content'>
<h1>&nbsp;</h1>
".lang('REGISTER HEADER')."

<div id='left-nav'>";
include("left-nav.php");
echo "
</div>

<div id='main'>
<br>";

echo resultBlock($errors,$successes);

echo "

<div id='regbox'>
<form name='newUser' action='".$_SERVER['PHP_SELF']."' method='post'>

<p>
<label>".lang('REGISTER USERNAME').":</label>
<input type='text' name='username' value='".$username."' />
</p>
<p>
<label>".lang('REGISTER DISPLAYNAME').":</label>
<input type='text' name='displayname' value='".$displayname."' />
</p>
<p>
<label>".lang('REGISTER PASSWORD').":</label>
<input type='password' name='password' />
</p>
<p>
<label>".lang('REGISTER CONFIRM').":</label>
<input type='password' name='passwordc' />
</p>
<p>
<label>".lang('REGISTER EMAIL').":</label>
<input type='text' name='email' value='".$email."' /> ".lang('REGISTER EMAIL NOTE')."
</p>
<p>
<label>".lang('REGISTER PHONE').":</label>
<input type='text' name='phone' value='".$phone."' /> ".lang('REGISTER PHONE NOTE')."
</p>
<p>
<label>".lang('REGISTER AGE').":</label>
<input type='text' name='age' value='".$age."' />
</p>
<p>
<label>".lang('REGISTER GENDER').":</label>
<input type='radio' name='gender' value='Male' ".$gender_checked_male.">".lang('Male')."
<input type='radio' name='gender' value='Female' ".$gender_checked_female.">".lang('Female')."
</p>

<p>
<label>".lang('REGISTER SECURITY CODE').":</label>
<img src='models/captcha.php'>
</p>
<label>".lang('REGISTER ENTER SECURITY CODE').":</label>
<input name='captcha' type='text'>
</p>
<br>
<p>
<input type='submit' value='".lang('REGISTER REGISTER')."'/>
</p>

</form>
</div>

</div>
<div id='bottom'></div>
</div>
</body>
</html>";
?>
