<?php
/*
ShareTheRide Version: 1.0
http://sharetheridescript.com
*/

require_once("models/config.php");
if (!securePage($_SERVER['PHP_SELF'])){die();}
require_once("models/header.php");

global $websiteName;

// Forms posted
if(!empty($_POST['ride_id']))
{
	$errors = array();
	$ride_id=$_POST['ride_id'];
	$user_id_other=$_POST['user_id_other'];
	$user_name_other=$_POST['user_name_other'];
	$type=$_POST['type'];
	$departure_date=$_POST['departure_date'];
	$departure_time=$_POST['departure_time'];
	$from=$_POST['from'];
	$to=$_POST['to'];
	$number_spaces=$_POST['number_spaces'];
	$note=$_POST['note'];
	$ride_message=$_POST['ride_message'];	
	$email_to=$_POST['email_to'];	
	$email_from=$_POST['email_from'];		

	// Make mail object
	$mail = new userCakeMail();		

	// Setup our custom hooks
	$hooks = array(
		"searchStrs" => array("#USERNAME#","#TYPE#","#DEPARTUREDATE#","#DEPARTURETIME#","#FROM#","#TO#","#NUMBERSPACES#","#NOTE#","#MESSAGE#","#USERNAMEOTHER#"),
		"subjectStrs" => array($user_name_other,lang($type),ucfirst(strftime("%A, %e %b %Y",strtotime($departure_date))),$departure_time,$from,$to,$number_spaces,$note,$ride_message,$loggedInUser->displayname)
		);

	if(!$mail->newTemplateMsg("ride-send-message.txt",$hooks))
	{
		$errors[] = lang("MAIL_TEMPLATE_BUILD_ERROR");
	}
	else
	{	
		if(!$mail->sendMail($email_to,lang("EMAIL SUBJECT RESPONSE TO RIDE",array($websiteName)),NULL,$email_from,$loggedInUser->displayname))
		{
			$errors[] = lang("MAIL_ERROR");
		}
		else
		{
			$successes[] = lang('ACCOUNT_RIDE_SEND_MESSAGE_COMPLETE',array($user_name_other));
		}
	}
}

// Get user id
if (!empty($_GET['user_id']))
{
	$user_id_other=$_GET['user_id'];
}

//Check if selected user exists
if(!userIdExists($user_id_other)){
	header("Location: index.php"); die();
}


// Get user data
$userdetails = fetchUserDetails(NULL, NULL, $user_id_other);
$displayname = $userdetails['display_name'];
$email = $userdetails['email'];
$age = $userdetails['age'];
$gender = $userdetails['gender'];
if($gender == "male")
{
	$gender=lang("Male");
}
if($gender == "female")
{
	$gender=lang("Female");
}
$phone = $userdetails['phone'];
if($phone == "")
{
	$phone="-";
}

// Get ride id
if (!empty($_GET['ride_id']))
{
	$ride_id=$_GET['ride_id'];
}

// Get the ride
$select_query="SELECT * FROM uc_rides WHERE `id`='".$ride_id."'";
$result = mysqli_query($mysqli,$select_query); 
while ($row = mysqli_fetch_array($result))
{
	$type=$row['offer_request'];
	$departure_date=$row['departure_date'];
	$departure_time=$row['departure_time'];
	$from_country=$row['from_country'];
	$from_location=$row['from_location'];
	$to_country=$row['to_country'];
	$to_location=$row['to_location'];
	$number_spaces=$row['number_spaces'];	
	$note=$row['note'];	
}


// Show on screen
echo "
<body>
<div id='wrapper'>
<div id='top'><div id='logo'></div></div>
<div id='content'>
<h1>&nbsp;</h1>
".lang('RIDE DETAILS HEADER')."

<div id='left-nav'>";
include("left-nav.php");

echo "
</div>
<div id='main'>";
	echo resultBlock($errors,$successes);
	echo"
	<br>
	<br>
	<table class='ride_details'>
		<tr>
			<td>
				".lang('RIDE DETAILS NAME').":
			</td>
			<td>
				".$displayname."
			</td>
		</tr>
		<tr>
			<td>
				".lang('RIDE DETAILS AGE').":
			</td>
			<td>
				".$age."
			</td>
		</tr>
		<tr>
			<td>
				".lang('RIDE DETAILS GENDER').":
			</td>
			<td>
				".$gender."
			</td>
		</tr>
		<tr>
			<td>
				".lang('RIDE DETAILS PHONE').":
			</td>
			<td>
				".$phone."
			</td>
		</tr>
		<tr>
			<td>
				".lang('RIDE TYPE').":
			</td>
			<td>
				".lang($type)."
			</td>
		</tr>
		<tr>
			<td>
				".lang('RIDE DEPARTURE DATE').":
			</td>
			<td>
				".ucfirst(strftime("%A, %e %b %Y",strtotime($departure_date)))."
			</td>
		</tr>
		<tr>
			<td>
				".lang('RIDE DEPARTURE TIME').":
			</td>
			<td>
				".$departure_time."
			</td>
		</tr>
		<tr>
			<td>
				".lang('RIDE DETAILS FROM').":
			</td>
			<td>
				".$from_country.", ".$from_location."
			</td>
		</tr>
		<tr>
			<td>
				".lang('RIDE DETAILS TO').":
			</td>
			<td>
				".$to_country.", ".$to_location."
			</td>
		</tr>
		<tr>
			<td>
				".lang('RIDE NUMBER SPACES').":
			</td>
			<td>
				".$number_spaces."
			</td>
		</tr>
		<tr>
			<td>
				".lang('RIDE NOTE').":
			</td>
			<td>
				".$note."
			</td>
		</tr>
		<form name='ride_send_message' action='".$_SERVER['PHP_SELF']."' method='post'>
		<tr>
			<td class='send_message'>
				".lang('RIDE DETAILS SEND MESSAGE').":
			</td>
			<td>";
				echo "<textarea name='ride_message' rows='4' cols='50'></textarea>
			</td>
		</tr>
		<tr>
			<td>
				&nbsp;
			</td>
			<td>";
				// Hidden fields
				echo "<input type='hidden' name='ride_id' value='".$ride_id."'>"; 
				echo "<input type='hidden' name='user_id_other' value='".$user_id_other."'>";
				echo "<input type='hidden' name='user_name_other' value='".$displayname."'>";
				echo "<input type='hidden' name='type' value='".$type."'>"; 
				echo "<input type='hidden' name='departure_date' value='".$departure_date."'>"; 
				echo "<input type='hidden' name='departure_time' value='".$departure_time."'>"; 
				echo "<input type='hidden' name='from' value='".$from_country.", ".$from_location."'>"; 
				echo "<input type='hidden' name='to' value='".$to_country.", ".$to_location."'>"; 
				echo "<input type='hidden' name='number_spaces' value='".$number_spaces."'>"; 
				echo "<input type='hidden' name='note' value='".$note."'>"; 
				echo "<input type='hidden' name='email_to' value='".$userdetails['email']."'>"; 
				echo "<input type='hidden' name='email_from' value='".$loggedInUser->email."'>"; 
				
				// Send button
				echo "<input type='submit' name='send_message' value='".lang('RIDE DETAILS SEND MESSAGE BUTTON')."'/>
			</td>
		</tr>
		</form>
	</table>
</div>
<div id='bottom'></div>
</div>
</body>
</html>";

?>
