<?php
/*
ShareTheRide Version: 1.0
http://sharetheridescript.com
*/

require_once("models/config.php");
if (!securePage($_SERVER['PHP_SELF'])){die();}

//Prevent the user visiting the logged in page if he is not logged in
if(!isUserLoggedIn()) { header("Location: login.php"); die(); }

$age = $loggedInUser->age;
$phone = $loggedInUser->phone;

if(!empty($_POST))
{
	$errors = array();
	$successes = array();
	$password = $_POST["password"];
	$password_new = $_POST["passwordc"];
	$password_confirm = $_POST["passwordcheck"];
	
	$errors = array();
	$email = $_POST["email"];
	
	$age = $_POST["age"];
	$phone = $_POST["phone"];
	
	//Perform some validation
	//Feel free to edit / change as required
	
	//Confirm the hashes match before updating a users password
	$entered_pass = generateHash($password,$loggedInUser->hash_pw);
	
	if($age != $loggedInUser->age)
	{
		if(!isValidAge($age))
		{
			$errors[] = lang("ACCOUNT_INVALID_AGE");
		}

		//End data validation
		if(count($errors) == 0)
		{
			$loggedInUser->updateAge($age);
			$successes[] = lang("ACCOUNT_AGE_UPDATED");
		}
	}
	
	if($phone != $loggedInUser->phone)
	{
		if(count($errors) == 0)
		{
			$loggedInUser->updatePhone($phone);
			$successes[] = lang("ACCOUNT_PHONE_UPDATED");
		}
	}
	
	if($email != $loggedInUser->email)
	{
		if(trim($email) == "")
		{
			$errors[] = lang("ACCOUNT_SPECIFY_EMAIL");
		}
		else if(!isValidEmail($email))
		{
			$errors[] = lang("ACCOUNT_INVALID_EMAIL");
		}
		else if(emailExists($email))
		{
			$errors[] = lang("ACCOUNT_EMAIL_IN_USE", array($email));	
		}
		
		//End data validation
		if(count($errors) == 0)
		{
			$loggedInUser->updateEmail($email);
			$successes[] = lang("ACCOUNT_EMAIL_UPDATED");
		}
	}
	
	if ($password_new != "" OR $password_confirm != "")
	{
		if (trim($password) == ""){
			$errors[] = lang("ACCOUNT_SPECIFY_PASSWORD");
		}
		else if($entered_pass != $loggedInUser->hash_pw)
		{
			//No match
			$errors[] = lang("ACCOUNT_PASSWORD_INVALID");
		}	
	
		if(trim($password_new) == "")
		{
			$errors[] = lang("ACCOUNT_SPECIFY_NEW_PASSWORD");
		}
		else if(trim($password_confirm) == "")
		{
			$errors[] = lang("ACCOUNT_SPECIFY_CONFIRM_PASSWORD");
		}
		else if(minMaxRange(8,50,$password_new))
		{	
			$errors[] = lang("ACCOUNT_NEW_PASSWORD_LENGTH",array(8,50));
		}
		else if($password_new != $password_confirm)
		{
			$errors[] = lang("ACCOUNT_PASS_MISMATCH");
		}
		
		//End data validation
		if(count($errors) == 0)
		{
			//Also prevent updating if someone attempts to update with the same password
			$entered_pass_new = generateHash($password_new,$loggedInUser->hash_pw);
			
			if($entered_pass_new == $loggedInUser->hash_pw)
			{
				//Don't update, this fool is trying to update with the same password Â¬Â¬
				$errors[] = lang("ACCOUNT_PASSWORD_NOTHING_TO_UPDATE");
			}
			else
			{
				//This function will create the new hash and update the hash_pw property.
				$loggedInUser->updatePassword($password_new);
				$successes[] = lang("ACCOUNT_PASSWORD_UPDATED");
			}
		}
	}
	if(count($errors) == 0 AND count($successes) == 0){
		$errors[] = lang("NOTHING_TO_UPDATE");
	}
}

require_once("models/header.php");
echo "
<body>
<div id='wrapper'>
<div id='top'><div id='logo'></div></div>
<div id='content'>
<h1>&nbsp;</h1>
".lang('USER SETTINGS HEADER')."
<div id='left-nav'>";
include("left-nav.php");

echo "
</div>
<div id='main'>
<br>";

echo resultBlock($errors,$successes);

echo "
<div id='regbox'>
<form name='updateAccount' action='".$_SERVER['PHP_SELF']."' method='post'>
<p>
<label>".lang('USER SETTINGS PASSWORD').":</label>
<input type='password' name='password' />
</p>
<p>
<label>".lang('USER SETTINGS EMAIL').":</label>
<input type='text' name='email' value='".$loggedInUser->email."' />
</p>
<p>
<label>".lang('USER SETTINGS NEW PASSWORD').":</label>
<input type='password' name='passwordc' />
</p>
<p>
<label>".lang('USER SETTINGS CONFIRM PASSWORD').":</label>
<input type='password' name='passwordcheck' />
</p>
<p>
<label>".lang('USER SETTINGS PHONE').":</label>
<input type='text' name='phone' value='".$phone."' /> ".lang('USER SETTINGS PHONE NOTE')."
</p>
<p>
<label>".lang('USER SETTINGS AGE').":</label>
<input type='text' name='age' value='".$age."' />
</p>
<p>
<label>&nbsp;</label>
<input type='submit' value='".lang('USER SETTINGS UPDATE')."' class='submit' />
</p>
</form>
</div>
</div>
<div id='bottom'></div>
</div>
</body>
</html>";

?>
